---
title: VRStageParameters.sizeX
slug: Web/API/VRStageParameters/sizeX
tags:
  - API
  - Experimental
  - Property
  - Reference
  - VR
  - VRStageParameters
  - Virtual Reality
  - WebVR
  - sizeX
---
<div>{{APIRef("WebVR API")}}{{SeeCompatTable}}</div>

<p>The <strong><code>sizeX</code></strong> read-only property of the {{domxref("VRStageParameters")}} interface <dfn>returns the w</dfn>idth of the play-area bounds in meters.</p>

<p>The bounds are defined as an axis-aligned rectangle on the floor, for safety purposes. Content should not require the user to move beyond these bounds; however, it is possible for the user to ignore the bounds resulting in position values outside of this rectangle. The center of the rectangle is at (0,0,0) in standing-space coordinates.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: js">var mySizeX = vrStageParametersInstance.<code>sizeX</code>;</pre>

<h3 id="Value">Value</h3>

<p>A float representing the width in meters.</p>

<h2 id="Examples">Examples</h2>

<p>{{page("/Web/API/VRStageParameters", "Examples")}}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('WebVR 1.1', '#dom-vrstageparameters-sizex', 'sizeX')}}</td>
   <td>{{Spec2('WebVR 1.1')}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.VRStageParameters.sizeX")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API homepage</a></li>
 <li><a href="http://mozvr.com/">MozVr.com</a> — demos, downloads, and other resources from the Mozilla VR team.</li>
</ul>
